#backgroundCover {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.popup {
    background: #2f3e46;
    padding: 1px;
    width: 0;
    height: 0;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    transition: 0.3s;
    z-index: 2;
}

.popup-300-300 {
    width: 300px;
    height: 300px;
}

.popup-400-300 {
    width: 400px;
    height: 300px;
}

.popup-600-800 {
    width: 600px;
    height: 800px;
}

.popup-500-500 {
    width: 500px;
    height: 500px;
}

#popupContent {
    width: 100%;
    height: 100%;
    padding: 5px;
    background: white;
}

#popupTopBar {
    display: flex;
    justify-content: flex-end;
}

#popupBody {
    width: 100%;
    height: calc(100% - 30px);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

@media (max-width: 600px) {
    .popup-300-300 {
        width: calc(100% - 40px);
    }
    
    .popup-400-300 {
        width: calc(100% - 40px);
    }

    .popup-600-800 {
        width: calc(100% - 40px);
    }
}
